<?xml version="1.0" encoding="utf-8"?>
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <!-- INTEGIX by Ez-XBRL -->
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel"/>
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncome" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncome_1"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_2"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_3"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_4"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_5"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_6"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_7"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit_8"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_9"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_10"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_AdjustmentsForDiscontinuedActivities" xlink:label="loc_lampsahellenichotels_AdjustmentsForDiscontinuedActivities_11"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_AdjustmentsForDiscontinuedActivities" xlink:label="loc_lampsahellenichotels_AdjustmentsForDiscontinuedActivities_12"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares" xlink:label="loc_lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares_13"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares" xlink:label="loc_lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares_14"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_DescriptionOfAccountingPolicyForEquity" xlink:label="loc_lampsahellenichotels_DescriptionOfAccountingPolicyForEquity_15"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_DescriptionOfAccountingPolicyForEquity" xlink:label="loc_lampsahellenichotels_DescriptionOfAccountingPolicyForEquity_16"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis" xlink:label="loc_lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis_17"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis" xlink:label="loc_lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis_18"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities" xlink:label="loc_lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities_19"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities" xlink:label="loc_lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities_20"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities" xlink:label="loc_lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities_21"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities" xlink:label="loc_lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities_22"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities" xlink:label="loc_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities_23"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities" xlink:label="loc_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities_24"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations" xlink:label="loc_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations_25"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations" xlink:label="loc_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations_26"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities" xlink:label="loc_lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities_27"/>
    <loc xlink:type="locator" xlink:href="213800AQG2XP9JM4TF17-2023-12-31.xsd#lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities" xlink:label="loc_lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities_28"/>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_AdjustmentsForFinanceIncome_1" xml:lang="en">Adjustments for finance income</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_1" xml:lang="en">Cash flows from (used in) financing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_0" xml:lang="en">Cash flows from (used in) financing activities, continuing operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_1" xml:lang="en">Cash flows from (used in) investing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_1" xml:lang="en">Cash flows from (used in) investing activities, continuing operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_1" xml:lang="en">Cash flows from (used in) operating activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations_1" xml:lang="en">Cash flows from (used in) operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_GrossProfit_1" xml:lang="en">Gross profit</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_1" xml:lang="en">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_1" xml:lang="en">Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_AdjustmentsForDiscontinuedActivities_0" xml:lang="en">&#928;&#961;&#959;&#963;&#945;&#961;&#956;&#959;&#947;έ&#962; &#947;&#953;&#945; &#956;&#951; &#963;&#965;&#957;&#949;&#967;&#953;&#950;ό&#956;&#949;&#957;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_AdjustmentsForDiscontinuedActivities_2" xml:lang="en">Adjustments For Discontinued Activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares_0" xml:lang="en">Cash Flows From Purchase Or Sale Of Treasury Shares</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares_2" xml:lang="en">Cash Flows From Purchase Or Sale Of Treasury Shares</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_DescriptionOfAccountingPolicyForEquity_0" xml:lang="en">&#928;&#949;&#961;&#953;&#947;&#961;&#945;&#966;ή &#964;&#951;&#962; &#955;&#959;&#947;&#953;&#963;&#964;&#953;&#954;ή&#962; &#960;&#959;&#955;&#953;&#964;&#953;&#954;ή&#962; &#947;&#953;&#945; ί&#948;&#953;&#945; &#954;&#949;&#966;ά&#955;&#945;&#953;&#945;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_DescriptionOfAccountingPolicyForEquity_2" xml:lang="en">Description Of Accounting Policy For Equity</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis_0" xml:lang="en">&#915;&#957;&#969;&#963;&#964;&#959;&#960;&#959;ί&#951;&#963;&#951; &#945;&#957;ά&#955;&#965;&#963;&#951;&#962; &#955;&#959;&#947;&#945;&#961;&#953;&#945;&#963;&#956;ώ&#957; &#945;&#960;&#959;&#964;&#949;&#955;&#949;&#963;&#956;ά&#964;&#969;&#957;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis_2" xml:lang="en">Disclosure Of Income Statements Results Analysis</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities_0" xml:lang="en">&#922;έ&#961;&#948;&#951; (&#918;&#951;&#956;&#953;έ&#962;) &#960;&#961;&#959; &#966;ό&#961;&#969;&#957;, &#967;&#961;&#951;&#956;&#945;&#964;&#959;&#948;&#959;&#964;&#953;&#954;ώ&#957; &#954;&#945;&#953; &#949;&#960;&#949;&#957;&#948;&#965;&#964;&#953;&#954;ώ&#957; &#945;&#960;&#959;&#964;&#949;&#955;&#949;&#963;&#956;ά&#964;&#969;&#957; &#945;&#960;ό &#963;&#965;&#957;&#949;&#967;&#953;&#950;ό&#956;&#949;&#957;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities_2" xml:lang="en">Earnings Before Interest And Tax From Continuing Activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities_0" xml:lang="en">&#922;έ&#961;&#948;&#951; (&#918;&#951;&#956;&#953;έ&#962;) &#960;&#961;&#959; &#966;ό&#961;&#969;&#957;, &#967;&#961;&#951;&#956;&#945;&#964;&#959;&#948;&#959;&#964;&#953;&#954;ώ&#957; &#954;&#945;&#953; &#949;&#960;&#949;&#957;&#948;&#965;&#964;&#953;&#954;ώ&#957; &#945;&#960;&#959;&#964;&#949;&#955;&#949;&#963;&#956;ά&#964;&#969;&#957; &#945;&#960;ό &#956;&#951; &#963;&#965;&#957;&#949;&#967;&#953;&#950;ό&#956;&#949;&#957;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities_2" xml:lang="en">Earnings Before Interest And Tax From Discontinued Activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities_0" xml:lang="en">&#922;έ&#961;&#948;&#951; / (&#918;&#951;&#956;&#953;έ&#962;) &#960;&#961;&#959; &#966;ό&#961;&#969;&#957;, &#967;&#961;&#951;&#956;&#945;&#964;&#959;&#948;&#959;&#964;&#953;&#954;ώ&#957;, &#949;&#960;&#949;&#957;&#948;&#965;&#964;&#953;&#954;ώ&#957; &#945;&#960;&#959;&#964;&#949;&#955;&#949;&#963;&#956;ά&#964;&#969;&#957; &#954;&#945;&#953; &#963;&#965;&#957;&#959;&#955;&#953;&#954;ώ&#957; &#945;&#960;&#959;&#963;&#946;έ&#963;&#949;&#969;&#957; &#945;&#960;&#959; &#963;&#965;&#957;&#949;&#967;&#953;&#950;ό&#956;&#949;&#957;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities_2" xml:lang="en">Earnings Before Interest Tax And Depreciation From Continuing Activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations_0" xml:lang="en">&#922;έ&#961;&#948;&#951; / (&#918;&#951;&#956;&#953;έ&#962;) &#960;&#961;&#959; &#966;ό&#961;&#969;&#957;, &#967;&#961;&#951;&#956;&#945;&#964;&#959;&#948;&#959;&#964;&#953;&#954;ώ&#957;, &#949;&#960;&#949;&#957;&#948;&#965;&#964;&#953;&#954;ώ&#957; &#945;&#960;&#959;&#964;&#949;&#955;&#949;&#963;&#956;ά&#964;&#969;&#957; &#954;&#945;&#953; &#963;&#965;&#957;&#959;&#955;&#953;&#954;ώ&#957; &#945;&#960;&#959;&#963;&#946;έ&#963;&#949;&#969;&#957; &#945;&#960;&#959; &#956;&#951; &#963;&#965;&#957;&#949;&#967;&#953;&#950;ό&#956;&#949;&#957;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations_2" xml:lang="en">Earnings Before Interest Tax And Depreciation From Discontinued Operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities_0" xml:lang="en">&#922;έ&#961;&#948;&#951; &#918;&#951;&#956;ί&#949;&#962; &#960;&#961;&#959; &#966;ό&#961;&#969;&#957; &#945;&#960;&#959; &#956;&#951; &#963;&#965;&#957;&#949;&#967;&#953;&#950;ό&#956;&#949;&#957;&#949;&#962; &#948;&#961;&#945;&#963;&#964;&#951;&#961;&#953;ό&#964;&#951;&#964;&#949;&#962;</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities_2" xml:lang="en">Profit Loss Before Tax From Discontinued Activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForFinanceIncome_1" xlink:to="lab_ifrs-full_AdjustmentsForFinanceIncome_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_2" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_3" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivitiesContinuingOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_4" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_5" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivitiesContinuingOperations_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_6" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_7" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit_8" xlink:to="lab_ifrs-full_GrossProfit_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_9" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_10" xlink:to="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_AdjustmentsForDiscontinuedActivities_11" xlink:to="lab_lampsahellenichotels_AdjustmentsForDiscontinuedActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_AdjustmentsForDiscontinuedActivities_12" xlink:to="lab_lampsahellenichotels_AdjustmentsForDiscontinuedActivities_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares_13" xlink:to="lab_lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares_14" xlink:to="lab_lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_DescriptionOfAccountingPolicyForEquity_15" xlink:to="lab_lampsahellenichotels_DescriptionOfAccountingPolicyForEquity_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_DescriptionOfAccountingPolicyForEquity_16" xlink:to="lab_lampsahellenichotels_DescriptionOfAccountingPolicyForEquity_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis_17" xlink:to="lab_lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis_18" xlink:to="lab_lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities_19" xlink:to="lab_lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities_20" xlink:to="lab_lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities_21" xlink:to="lab_lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities_22" xlink:to="lab_lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities_23" xlink:to="lab_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities_24" xlink:to="lab_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations_25" xlink:to="lab_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations_26" xlink:to="lab_lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities_27" xlink:to="lab_lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities_28" xlink:to="lab_lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities_2"/>
  </labelLink>
</linkbase>